Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileEvent

    java.lang.Object
      java.util.EventObject
          org.openide.filesystems.FileEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FileAttributeEvent, FileRenameEvent

    public class FileEvent

extends EventObject

Event for listening on filesystem changes.

By calling `getFile()` the original file where the action occurred can be obtained.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FileEvent(FileObject src)` Creates new `FileEvent`.
`FileEvent(FileObject src, FileObject file)` Creates new `FileEvent`, specifying the action object.
`FileEvent(FileObject src, FileObject file, boolean expected)` Creates new `FileEvent`, specifying the action object.

Method Summary
`boolean` | `firedFrom(FileSystem.AtomicAction run)` Tests if FileEvent was fired from atomic action.
`FileObject` | `getFile()`
`long` | `getTime()` The time when this event has been created.
`boolean` | `isExpected()` Getter to test whether the change has been expected or not.
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileEvent

    public FileEvent(FileObject src)

  Creates new `FileEvent`. The `FileObject` where the action occurred is assumed to be the same as the source object.

  Parameters:
    `src` - source file which sent this event

### FileEvent

    public FileEvent(FileObject src,
                     FileObject file)

  Creates new `FileEvent`, specifying the action object.

  Note that the two arguments of this method need not be identical in cases where it is reasonable that a different file object from the one affected would be listened to by other components. E.g., in the case of a file creation event, the event source (which listeners are attached to) would be the containing folder, while the action object would be the newly created file object.

  Parameters:
    `src` - source file which sent this event
    `file` - `FileObject` where the action occurred

### FileEvent

    public FileEvent(FileObject src,
                     FileObject file,
                     boolean expected)

  Creates new `FileEvent`, specifying the action object.

  Note that the two arguments of this method need not be identical in cases where it is reasonable that a different file object from the one affected would be listened to by other components. E.g., in the case of a file creation event, the event source (which listeners are attached to) would be the containing folder, while the action object would be the newly created file object.

  Parameters:
    `src` - source file which sent this event
    `file` - `FileObject` where the action occurred
    `expected` - sets flag whether the value was expected

Method Detail

### getFile

    public final FileObject getFile()

  Returns:
    the original file where action occurred

### getTime

    public final long getTime()

  The time when this event has been created.

  Returns:
    the milliseconds

### isExpected

    public final boolean isExpected()

  Getter to test whether the change has been expected or not.

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

### firedFrom

    public boolean firedFrom(FileSystem.AtomicAction run)

  Tests if FileEvent was fired from atomic action.

  Parameters:
    `run` - is tested atomic action.
  Returns:
    true if fired from run.
  Since:
    1.35

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.